List indications¶
GET https://api.moalmanac.org/indications
Retrieves Indications (regulatory approvals) from the database. Filters by indication_id, document, agent, and agent_id. Only Approved and Accelerated indications are returned, unless include_deprecated=true, which also returns Superseded and Withdrawn indications. Superseded and Withdrawn indications are always returned when requested by indication_id.
Parameters¶
| Name | Type | Description | Example |
|---|---|---|---|
indication_id |
string | Return only the indication with this id. | |
include_deprecated |
boolean, default false |
Also return deprecated records. Ignored when requesting a single record by id, which is always returned. | |
indication |
string (repeatable) | Indication id. Repeatable; matches any of the given values (OR). | ind:fda:verzenio:0 |
document |
string (repeatable) | Document id. Repeatable; matches any of the given values (OR). | doc:fda:verzenio |
agent |
string (repeatable) | Agent name, matched exactly. Repeatable; matches any of the given values (OR). | Van Allen lab |
agent_id |
string (repeatable) | Agent id. Repeatable; matches any of the given values (OR). | agent:user:vanallenlab |
Example request¶
curl "https://api.moalmanac.org/indications?indication=ind%3Afda%3Averzenio%3A0"
Response¶
Returns the standard response envelope, with data set to a list of Indication records.
Example response
{
"meta": {
"data_length": 1,
"message": "Indications retrieved successfully",
"request_url": "https://api.moalmanac.org/indications",
"status": "success",
"status_code": 200,
"timestamp_elapsed": 0.012345,
"timestamp_received": "2026-10-16T14:03:12.123456Z",
"timestamp_returned": "2026-10-16T14:03:12.135801Z",
"trace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"service": {
"github": "https://github.com/vanallenlab/moalmanac-db",
"name": "Molecular Oncology Almanac",
"license": "GPL-2.0",
"release": "draft",
"url": "https://moalmanac.org",
"last_updated": "2026-10-08"
},
"data": [
{
"id": "ind:fda:tafinlar:0",
"type": "Indication",
"description": "TAFINLAR is a kinase inhibitor indicated as a single agent for the treatment of patients with unresectable or metastatic melanoma with BRAF V600E mutation as detected by an FDA-approved test.",
"contributions": [
{
"id": "ctrb:vanallenlab:2024-10-30:0",
"type": "Contribution",
"description": "Initial access of FDA approvals",
"date": "2024-10-30",
"contributor": {
"id": "agent:user:vanallenlab",
"type": "Agent",
"agentType": "contributor",
"name": "Van Allen lab",
"description": "Van Allen lab, Dana-Farber Cancer Institute"
}
},
{
"id": "ctrb:fda:2013-05-29:0",
"type": "Contribution",
"description": "Indication received traditional approval.",
"date": "2013-05-29",
"contributor": {
"id": "agent:org:fda",
"type": "Agent",
"agentType": "organization",
"name": "Food and Drug Administration",
"description": "Regulatory agency that approves drugs for use in the United States."
}
}
],
"reportedIn": [
{
"id": "doc:fda:tafinlar",
"type": "Document",
"documentType": "Regulatory approval",
"name": "Tafinlar (dabrafenib) [package insert]. FDA.",
"title": null,
"aliases": [],
"description": "Novartis Pharmaceuticals Corporation. Tafinlar (dabrafenib) [package insert]. U.S. Food and Drug Administration website. https://www.accessdata.fda.gov/drugsatfda_docs/label/2024/202806s030lbl.pdf. Revised March 2024. Accessed October 30, 2024.",
"urls": [
"https://www.accessdata.fda.gov/drugsatfda_docs/label/2024/202806s030lbl.pdf",
"https://www.accessdata.fda.gov/scripts/cder/daf/index.cfm?event=overview.process&ApplNo=202806"
],
"doi": null,
"pmid": null,
"extensions": [
{
"name": "agent",
"value": {
"id": "agent:org:fda",
"type": "Agent",
"agentType": "organization",
"name": "Food and Drug Administration",
"description": "Regulatory agency that approves drugs for use in the United States."
},
"description": "The organization that published this document."
},
{
"name": "company",
"value": "Novartis Pharmaceuticals Corporation.",
"description": "The company that manufactures the cancer drug. Only applicable to market authorization documents."
},
{
"name": "drug_name_brand",
"value": "Tafinlar",
"description": "The brand name of the cancer drug, per this document. Only applicable to market authorization documents."
},
{
"name": "drug_name_generic",
"value": "dabrafenib",
"description": "The generic name of the cancer drug, per this document. Only applicable to market authorization documents."
},
{
"name": "first_publication_date",
"value": null,
"description": "The publication date for the initial version of this document."
},
{
"name": "publication_date",
"value": "2024-03-29",
"description": "The publication date for the document."
},
{
"name": "regulatory_identifier",
"value": "NDA202806",
"description": "Identifier assigned by the regulatory agency, such as an FDA application number (e.g. NDA208716, BLA125427) or an EMA product number (e.g. EMEA/H/C/006184)."
},
{
"name": "status",
"value": "Active",
"description": "Whether this document is Active or Deprecated within moalmanac-db."
}
]
},
{
"id": "doc:fda:tafinlar:2013-05-29",
"type": "Document",
"documentType": "Regulatory approval",
"name": "Tafinlar (dabrafenib) [package insert]. FDA.",
"title": null,
"aliases": [],
"description": "Novartis Pharmaceuticals Corporation. Tafinlar (dabrafenib) [package insert]. U.S. Food and Drug Administration website. https://www.accessdata.fda.gov/drugsatfda_docs/label/2013/202806s000lbl.pdf. Revised May 2013. Accessed October 6, 2026.",
"urls": [
"https://www.accessdata.fda.gov/drugsatfda_docs/label/2013/202806s000lbl.pdf",
"https://www.accessdata.fda.gov/scripts/cder/daf/index.cfm?event=overview.process&ApplNo=202806"
],
"doi": null,
"pmid": null,
"extensions": [
{
"name": "agent",
"value": {
"id": "agent:org:fda",
"type": "Agent",
"agentType": "organization",
"name": "Food and Drug Administration",
"description": "Regulatory agency that approves drugs for use in the United States."
},
"description": "The organization that published this document."
},
{
"name": "company",
"value": "Novartis Pharmaceuticals Corporation.",
"description": "The company that manufactures the cancer drug. Only applicable to market authorization documents."
},
{
"name": "drug_name_brand",
"value": "Tafinlar",
"description": "The brand name of the cancer drug, per this document. Only applicable to market authorization documents."
},
{
"name": "drug_name_generic",
"value": "dabrafenib",
"description": "The generic name of the cancer drug, per this document. Only applicable to market authorization documents."
},
{
"name": "first_publication_date",
"value": null,
"description": "The publication date for the initial version of this document."
},
{
"name": "publication_date",
"value": "2013-05-29",
"description": "The publication date for the document."
},
{
"name": "regulatory_identifier",
"value": "NDA202806",
"description": "Identifier assigned by the regulatory agency, such as an FDA application number (e.g. NDA208716, BLA125427) or an EMA product number (e.g. EMEA/H/C/006184)."
},
{
"name": "status",
"value": "Deprecated",
"description": "Whether this document is Active or Deprecated within moalmanac-db."
}
]
}
],
"extensions": [
{
"name": "status",
"value": "Approved",
"description": "Current approval status."
}
]
}
]
}